Ubuntu

bcmwl 5.100.82.38+bdcom-0ubuntu2 not work on BCM4311/4312

Reported by majesty on 2011-03-10
592
This bug affects 104 people
Affects Status Importance Assigned to Milestone
Broadcom 802.11 Linux STA driver
Incomplete
Undecided
Unassigned
Linux
Confirmed
Medium
Arch Linux
Invalid
Undecided
Unassigned
CentOS
Invalid
Undecided
Unassigned
bcmwl (Ubuntu)
High
Unassigned

Bug Description

After upgrade to Natty Alpha updated driver bcmwl-kernel-source 5.100.82.38+bdcom-0ubuntu2 doesn`t work with wifi module. Notebook Dell inspiron 1501. b43 ot work too.

I downgraded to bcmwl-kernel-source 5.60.48.36+bdcom-0ubuntu5 and still work fine.

Please update driver.

Additional:

05:00.0 Network controller: Broadcom Corporation BCM4311 802.11b/g WLAN (rev 01)
 Subsystem: Dell Wireless 1390 WLAN Mini-Card
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 32 bytes
 Interrupt: pin A routed to IRQ 18
 Region 0: Memory at c0200000 (32-bit, non-prefetchable) [size=16K]
 Capabilities: <access denied>
 Kernel driver in use: wl
 Kernel modules: wl, ssb

Daniel van Vugt (vanvugt) wrote :

Check your router settings. This sounds like bug #713528.

majesty (majesty-nashemisto) wrote :

Daniel van Vugt, no, no.

If bcmwl driver used, wireless adapter is absent in network interfaces list.

If I used b43, wifi card can receive signal from routers, but did not transmit packets.

[ 24.773268] wl 0000:0b:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[ 24.773280] wl 0000:0b:00.0: setting latency timer to 64
[ 24.775808] malloc in abgphy done
[ 24.775996] eth%d: 5.100.82.38 driver failed with code 21
[ 24.792674] input: SynPS/2 Synaptics TouchPad as /devices/platform/i8042/serio1/input/input6
[ 24.944577] b43-pci-bridge 0000:0b:00.0: setting latency timer to 64

Also affects CentOS 5 and Arch. It's an issue with Broadcom's 5.100 driver.

N.....n (nouman8) wrote :

guys i have same issue fix it asap..

Thomas Schenk (techdog) wrote :

I am affected by this same problem. The new version of the wl driver (5.100.82.38) does not work on my Dell Latitude D830 while the previous version works perfectly.

Here is the relevant line from lspci:

0c:00.0 Network controller: Broadcom Corporation BCM4311 802.11b/g WLAN (rev 01)

and I have also received the following message in system logs:

Feb 27 22:30:41 tschenk5 kernel: [ 12.925353] eth%d: 5.100.82.38 driver failed with code 21

As this chipset was widely used in Dell laptops I hope there is some progress on this problem soon, as it is the only thing preventing me from keeping my system completely up to date.

And to add to the list of distributions affected, you can count in Fedora 14.

Changed in bcmwl (Ubuntu):
status: New → Confirmed
importance: Undecided → High
Alberto Milone (albertomilone) wrote :

This is definitely an upstream bug. You might want to ask for support using the email address listed on this page:
http://www.broadcom.com/support/802.11/linux_sta.php

Feel free to direct them to this bug report.

majesty (majesty-nashemisto) wrote :

Alberto Milone, thanks for your advance.

Now I make dialog with driver developer, hope all will be right.

chaghaboo (marko.niketic) wrote :

I'm affected too, Dell Inspiron 1501, Broadcom 4311.

Mark Shuttleworth (sabdfl) wrote :

Alberto, this affects me too, I suspect this hardware is extremely common. We already have a High importance on this, can we escalate the issue with Broadcom?

Chris Hermansen (c-hermansen) wrote :

My Dell Inspiron 1501 apparently has the same problem with the STA driver, and I can confirm that the workaround proposed by jejbarr for duplicate bug 732038 works for me. Of course this uses the B43 driver, not the STA driver....

What I did:

· used the additional drivers GUI to deactivate the STA driver;
· sudo apt-get install firmware-b43-installer
· restarted
· I had to use FUNCTION-F2 to turn the wifi on

Derek Parks (dnparks) wrote :

Same issue here. Dell Latitude D620, 11.04 beta 1. Switching drivers also works for me. Is possible to switch back to the previous working version of the STA driver?

der_vegi (m-may) on 2011-04-05
tags: added: natty
der_vegi (m-may) wrote :

Still not working with Natty daily 20110410. Attaching jockey.log. My network adapter is a BCM4311 [14e4:4312] (rev 01). Used to work with the restricted driver from liveusb in 10.10.

chaghaboo (marko.niketic) wrote :

Same thing here. Any progress on issue?

majesty (majesty-nashemisto) wrote :
Download full text (3.5 KiB)

I tried to ask developer, and here is our log:

---------------------------------
Good day,

Few weeks ago I has bug with broadcom driver, description is here:

https://bugs.launchpad.net/ubuntu/+source/bcmwl/+bug/732677

Bug confirmed, please fix.
---------------------------------
The wl driver does not work with the ssb module loaded since it conflicts with the builtin ssb support in wl.
You'll need to unload the ssb module before loading wl. This requirement has not changed since original release of this driver.

Please read the README that comes with the driver (or online here http://www.broadcom.com/support/802.11/linux_sta.php)

Regards
Brett
---------------------------------
Good day, Brett.

Thank for your help, but with old driver 5.60.48.36+bdcom-0ubuntu5 ssb module is still loaded:

05:00.0 Network controller: Broadcom Corporation BCM4311 802.11b/g WLAN (rev 01)
    Subsystem: Dell Wireless 1390 WLAN Mini-Card
    Flags: bus master, fast devsel, latency 0, IRQ 18
    Memory at c0200000 (32-bit, non-prefetchable) [size=16K]
    Capabilities: <access denied>
    Kernel driver in use: wl
    Kernel modules: wl, ssb

when I try to unload module, gets error:

[majesty][~]$ sudo rmmod ssb
[sudo] password for majesty:
ERROR: Module ssb is in use by b44

b44 module loaded for wired network interface

08:00.0 Ethernet controller: Broadcom Corporation BCM4401-B0 100Base-TX (rev 02)
    Subsystem: Dell Device 01f5
    Flags: bus master, fast devsel, latency 64, IRQ 21
    Memory at c0300000 (32-bit, non-prefetchable) [size=8K]
    Capabilities: <access denied>
    Kernel driver in use: b44
    Kernel modules: b44

That`s why I post a bug.

I try to upgrade driver again:

(Reading database ... 225815 files and directories currently installed.)
Preparing to replace bcmwl-kernel-source 5.60.48.36+bdcom-0ubuntu5 (using .../bcmwl-kernel-source_5.100.82.38+bdcom-0ubuntu2_amd64.deb) ...
Removing all DKMS Modules
Done.
Unpacking replacement bcmwl-kernel-source ...
Setting up bcmwl-kernel-source (5.100.82.38+bdcom-0ubuntu2) ...
Loading new bcmwl-5.100.82.38+bdcom DKMS files...
Building only for 2.6.38-7-generic
Building for architecture x86_64
Building initial module for 2.6.38-7-generic
Done.

wl.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/2.6.38-7-generic/updates/dkms/

depmod....

DKMS: install Completed.
update-initramfs: deferring update (trigger activated)
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-2.6.38-7-generic
localepurge: Disk space freed in /usr/share/locale: 0 KiB
localepurge: Disk space freed in /usr/share/man: 0 KiB
localepurge: Disk space freed in /usr/share/gnome/help: 0 KiB
localepurge: Disk space freed in /usr/share/omf: 0 KiB

Total disk space freed by localepurge: 0 KiB

And take

05:00.0 Network controller: Broadcom Corporation BCM4311 802.11b/g WLAN (rev 01)
    Subsystem: Dell Wireless 1390 WLAN Mini-Card
    Flags: bus master, fast devsel, latency 0, IRQ 18
    Memory at c0200000 (32-bit, non-prefetchable) [size=16K]
    Capabilities: <access denied>
    Kernel driv...

Read more...

tags: added: iso-testing
postalservice14 (wablam) wrote :

Is there a workaround while this is getting fixed? I really need my wireless and it worked great in Ubuntu 10.10.

Thanks!

Chris Hermansen (c-hermansen) wrote :

As of natty beta 2 updated to 19 April, this still does not work.

Daniel van Vugt (vanvugt) wrote :

If you read the previous comments carefully you will find this potential workaround. I can't confirm it works but Broadcom reckon it's a common issue:

[from http://www.broadcom.com/docs/linux_sta/README.txt]
* If the wl driver loads but doesn't seem to do anything:
  the ssb module may be the cause. Sometimes blacklisting ssb may not
  be enough to prevent it from loading and it loads anyway. (This is mostly
  seen on Ubuntu/Debian systems).

  Check to see if ssb, wl or b43 is loaded:
  # lsmod | grep "b43\|ssb\|wl"

  If any of these are installed, remove them:
  # rmmod b43
  # rmmod ssb
  # rmmod wl

  Back up the current boot ramfs and generate a new one.
  # cp /boot/initrd.img-`uname -r` somewheresafe
  # update-initramfs -u
  # reboot

Hi,

My Solution:

1) Install b43-fwcutter
2) Copy folder broadcom-wl-4.80.53.0 on Desktop
3) # sudo b43 fwcutter -w /lib/firmware
/home/your_id/Desktop/broadcom-wl-4.80.53.0/kmod/wl_apsta_mimo.o

Regards

description: updated

I forgot to say

Before to install b43-fwcutter, remove all bcmwl and sta package, you can remove dkms package too.

I'm pretty sure b43-fwcutter is just to make the b43 module work. This
bug however is about making the wl module work. wl (bcmwl) should
already have built-in firmware because it's a proprietary driver. Though
using b43 (hence removing bcmwl) might be a feasible workaround for some.

Also, isn't the package firmware-b43-installer designed to do the
firmware cutting for you?

Yesterday regular update contained broadcom wifi driver as well (if I saw correctly), but it didn't make any difference. My wifi still doesn't work even though STA driver is activated.

In my experience, on earlier versions of Ubuntu, fwcutter driver gave me a bit weaker signal strength then STA driver, so I would prefer to make STA driver work properly. As I'm on 11.04, I'll wait for final release before I try to do some workaround, hoping some of the updates will fix it.

postalservice14 (wablam) wrote :

CITERICI,

You solution didn't seem to work for me. :-/

I have the same problem with bcmwl-kernel-source 5.100.82.38+bdcom-0ubuntu3.
With:
03:00.0 Network controller [0280]: Broadcom Corporation BCM4311 802.11b/g WLAN [14e4:4311] (rev 01)
And:
2.6.38-8-generic #42-Ubuntu SMP Mon Apr 11 03:31:50 UTC 2011 i686 athlon i386 GNU/Linux

I have read a workaround (that works in my case):
Remove the bcmwl-kernel-source thar comes with natty.
Install the bcmwl-kernel-source (5.60.48.36+bdcom-0ubuntu5) from maverick using gdebi
It can be downloaded here (i386):
http://packages.ubuntu.com/maverick/i386/bcmwl-kernel-source/download
or here (amd64):
http://packages.ubuntu.com/maverick/amd64/bcmwl-kernel-source/download

Rohit R (rr0hit) wrote :

I encountered the same problem on installing STA driver using Jockey. But I removed it, installed firmware-b43-installer package and did modprobe b43 after which I could bring up the wireless network using ifconfig.

postalservice14 (wablam) wrote :

Francisco,

That did the trick for me. Now I just have to remember not to update it until this issue get's resolved!

Thanks so much!

John

marfal (marfal) wrote :

Francisco,

Worked for me too....
A frustrating afternoon spent on upgrade from Maverick to Natty - wish I hadn't bothered now.

Cheers

Dell D631 (BRCM94311MCG - Broadcom wifi card)

Actually, you can just grab and install the pre-updated natty version from here:

https://launchpad.net/ubuntu/natty/i386/bcmwl-kernel-source/5.60.246.2+bdcom-0ubuntu3

It works like a charm for me

Marius Vasilescu (vegancorr) wrote :

Thanks, Gabriel. It's a much better solution. You can also lock the version it in synaptic, so it doesn't update with the regular updates. I think the driver should be reverted to the old version until this bug is solved.

Daniel van Vugt (vanvugt) wrote :

Has anyone yet tested Broadcom's recommended workaround for this problem? That is forcefully removing and disabling the stubborn ssb module? See previous comments #17, #14.

Also, reverting to 5.60.* might be a great workaround for this particular bug however the newer driver 5.100.* works well on newer Broadcom chips, so simply reverting 5.100 to 5.60 for all users would seem a little heavy handed.

evp55555 (evp55555) wrote :

Daniel, I tried what they suggested, but ssb still loads because it required by b44- the driver for the ethernet.
As a workaround I use the b43 driver, which gets a weaker signal but works. I will try to install the previous version of wl (sta) driver as suggested here.

Daniel van Vugt (vanvugt) wrote :

I've noticed ssb causing conflicts in other bugs too. A quick search shows it's not a new issue, but has been causing people grief for several years. The best workaround I have found (untested) is this forcing the load order (in /etc/rc.local):

rmmod b44
rmmod ssb
rmmod wl
modprobe wl
modprobe b44

Daniel van Vugt (vanvugt) wrote :

The bcmwl-kernel-source package should have installed a very similar workaround as above when it installed. If your /etc/modprobe.d/blacklist-bcm43.conf is missing something like this at the end:

    blacklist b44
    install wl modprobe -r b43 b44 b43legacy ssb; modprobe --ignore-install wl; modprobe --ignore-install b44

Then you should add it to the end of the file.

I know the blacklist file is meant to be removed when the package is removed, but I recently noticed it's not actually removed/upgraded correctly when bcmwl-kernel-source is upgraded. So if you've;
  * had some version of that package installed since before 2009-06-19; or
  * if you for some reason didn't have b44 loaded when the package was being installed; or
  * if you had a lingering blacklist-bcm43.conf for any reason before the package was installed;
then you will be missing the above workaround Alberto introduced in 2009.

Hope it works for you...

Marius Vasilescu (vegancorr) wrote :

I tried upgrading to the new driver and issued:
$ rmmod b44
$ rmmod ssb
$ rmmod wl
$ modprobe wl

- No errors, but wl didn't work.

Then I removed the driver, installed the old one and issued the exact command sequence as above. It worked.

My blacklist-bcm43.conf wasn't modified when upgrading the driver and it did contain the two lines Daniel was talking about.

Marius Vasilescu (vegancorr) wrote :

Daniel, the solution from #17 doesn't work either. I guess generating new boot ramfs is just to make the changes permanent? I tried anyway and no positive result.

Giulio Franco (giulio-franco) wrote :

I have a BCM43225, which is not supported by b43 firmware, so I had to search for another workaround.
I found that removing acer-wmi module (I've got a acer AspireOne 753) does make wifi working (but, of course, kills the bluetooth module).
To the noobs, the command is: sudo modprobe -r acer-wmi

It's a workaround I can accept, but please keep on searching for a solution.
I'd like ubuntu developers to spend a little more effort on this kind of tests, since my first thought was "damn! My pc is unusable without wifi", and the second was "which other distribution may I try?". Luckily for Ubuntu, I am patient, and Fedora and Suse are likely to undergo bad times soon.

costales (costales) wrote :

Hi! A downgrade to 5.60.48.36 works to me.
I removed the actual driver: sudo apt-get remove bcmwl-kernel-source
and I installed this file with 2 clicks:
http://packages.ubuntu.com/maverick/i386/bcmwl-kernel-source/download
Best regards.

Daniel van Vugt (vanvugt) wrote :

Giulio - It would appear that your issue with acer-wmi is a separate bug to this one (which seems to be exclusively BCM4311).

Look at bug #771758 for a report identical to yours with a BCM43225, though that is likely to become a duplicate of another...

Davide (dspinell) wrote :

I have tried both solutions in posts #36 and #27 but no success. I have a Dell Latitude D620 with Ubuntu 11.04 fresh install

Marius Vasilescu (vegancorr) wrote :

Davide, do you have BCM4311? You can type "lspci" in the terminal to see the exact version.

Davide (dspinell) wrote :

I have bcm4312.

I reinstalled ubuntu 10.10 since wireless and ssh tunneling were not working, and with my laptop I need both (especially ssh tunneling with vnc and unison to remotely work and synch with my office computer). I will keep checking the status of the bugs and install natty when fixes will be released.

I have natty 64 bit in a acer timeline x 1830t notebook, and broadcom wireless works after killing the module acer-wmi.

Gary M (garym) on 2011-05-15
tags: added: hw-specific regression-release
summary: - bcmwl 5.100.82.38+bdcom-0ubuntu2 not work on BCM4311
+ bcmwl 5.100.82.38+bdcom-0ubuntu2 not work on BCM4311/4312
41 comments hidden view all 121 comments
Matthew McGowan (mmcg069) wrote :

I am now getting build errors when installing the maverick drivers:

Unpacking replacement bcmwl-kernel-source ...
Setting up bcmwl-kernel-source (5.60.48.36+bdcom-0ubuntu5) ...
Loading new bcmwl-5.60.48.36+bdcom DKMS files...
Building only for 3.0.0-12-generic
Building for architecture i686
Building initial module for 3.0.0-12-generic
Error! Bad return status for module build on kernel: 3.0.0-12-generic (i686)
Consult /var/lib/dkms/bcmwl/5.60.48.36+bdcom/build/make.log for more information.
update-initramfs: deferring update (trigger activated)
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-3.0.0-12-generic

Kevin (scooby-2) wrote :

I have a HP/Compaq NX6325 with a BCM4311 (rev 01) wlan which was fine in 10.10 but stopped working after upgrading to 11.04. Recompliling the kernel is way, way beyond me so I now have an Ethernet cable trailing through the house...

Gordon Dracup (gordon-dracup) wrote :

Same Problem. Dell Latitude D420
0c:00.0 Network controller [0280]: Broadcom Corporation BCM4311 802.11a/b/g [14e4:4312] (rev 01)

5.100.82.38+bdcom-0ubuntu3.2 and 5.100.82.38+bdcom-0ubuntu3 both fail.

5.60.246.2+bdcom-0ubuntu3 works

Matthew, I get that you may be determined to use the maverick drivers for
some reason, but have you just tried the b43 series that are in the oneiric
repositories? They still work fine for me on my Latitude 1501 with 4311
hardware...

2011/10/1 Matthew McGowan <email address hidden>

> I am now getting build errors when installing the maverick drivers:
>
> Unpacking replacement bcmwl-kernel-source ...
> Setting up bcmwl-kernel-source (5.60.48.36+bdcom-0ubuntu5) ...
> Loading new bcmwl-5.60.48.36+bdcom DKMS files...
> Building only for 3.0.0-12-generic
> Building for architecture i686
> Building initial module for 3.0.0-12-generic
> Error! Bad return status for module build on kernel: 3.0.0-12-generic
> (i686)
> Consult /var/lib/dkms/bcmwl/5.60.48.36+bdcom/build/make.log for more
> information.
> update-initramfs: deferring update (trigger activated)
> Processing triggers for initramfs-tools ...
> update-initramfs: Generating /boot/initrd.img-3.0.0-12-generic
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/732677
>
> Title:
> bcmwl 5.100.82.38+bdcom-0ubuntu2 not work on BCM4311/4312
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/bcmwl/+bug/732677/+subscriptions
>

--
Chris Hermansen · <email address hidden>

C'est ma façon de parler.

cokekid (cokekid) wrote :

hey thanks it worked for me!!!

tqft (ianburrows-au) wrote :

I just bought a new laptop with a Broadcom chipset - pci-id 14e4:4358, bcm43227.

Couldn't convince wi-fi to work with live disk.

Installed anyway. Oneiric Otter 11.10 daily image from 9 October 2011.

added the bcmwl-kernel-source package - appears to do the equivalent of adding the STA proprietary driver as the STA driver was showing as active when I went to the additional hardware app afterwards.

Turned on the wi-fi - requires alt(ctrl/windows key ?) F3 on the laptop.

Wanted to work but didn't

Changed wi-fi router settings so that it wasn't a hddewn network and auto-channel selection from fixed 13 and it works.

Olcay Korkmaz (olci) wrote :

new upstream release from broadcom called version is 5.100.82.112

and still doesn't work with 4311_b/g_rev1

eth%d: 5.100.82.112 driver failed with code 21

 i think they dropped support for old cards or don't wanna fix

Geert Boon (geertnboon) wrote :

I had the same problem with my dell inspiron running Kubuntu.

What worked for me was:

- Remove (uninstall) bcmwl.
 - Open ´additional drivers´ and let this reinstall the drivers.
- Restart

After the restart wifi worked again.

I have the same problem on a Lenovo Ideapad Z570. I have tried the different workarounds listed above without success.

Carlos Gomes (crlsgms) wrote :

Same Issue here on dell latitude d530, with bcm4311. tried all solutions on this bug report, and in this help post https://help.ubuntu.com/community/WifiDocs/Driver/bcm43xx but with no success. wifi dont work in any manner, please give some attention, I have 5 identical dell notebooks that I wish ubuntu (preferably) to work so I can get them back to the students here.

thanks in advance.

marfal (marfal) wrote :

The only way that I have got wifi to works on my Dell D631 since the the bcml driver got updated in Natty, is using this from a previous post:

Updated 21-10-11

"Re: Wireless does not work after 11.10 install on Dell Latitide D630

Hi, please try this:

Code:
sudo apt-get purge bcmwl-kernel-source broadcom-sta-common broadcom-sta-source

Then

Code:
sudo apt-get install b43-fwcutter firmware-b43-installer

Then unplug wired connection and reboot."

Just to let you know, that for me a new version fixed my problem (a while ago, Oct 2011?). So there seems to be no need for the workaround in comment

https://bugs.launchpad.net/ubuntu/+source/bcmwl/+bug/732677/comments/79

Upgraded to Precise Pangolin, and everything broke again: the 5.60 driver does not seem to work anymore, and the 5.100 one doesn't work either (the driver fails with an "error 21", apparently).

After swearing and sweating for a couple of hours, I followed different advice, uninstalled bcmwl-kernel-source and installed b43-fwcutter + firmware-b43-installer (which didn't work in previous versions for me), and everything started working again.

BTW that was on a Dell Latitude 131l

Denis (denis-dellsale) wrote :

Download previous source of driver version bcmwl-5.60.48.36
In file src/include/wl_linux.h replace #include <linux/autoconf.h> to <generated/autoconf.h>
in file src/wl/sys/wl_linux.c find function wl_set_multicast_list (sting 1416) and replace it all on

static void
_wl_set_multicast_list(struct net_device *dev)
{
#if LINUX_VERSION_CODE <= KERNEL_VERSION(2, 6, 34)
 struct dev_mc_list *mclist;
#else
 struct netdev_hw_addr *ha;
 int num;
#endif
 wl_info_t *wl;
 int i, buflen;
 struct maclist *maclist;
 bool allmulti;

 if (!dev)
  return;
 wl = WL_INFO(dev);

 WL_TRACE(("wl%d: wl_set_multicast_list\n", wl->pub->unit));

 if (wl->pub->up) {
  allmulti = (dev->flags & IFF_ALLMULTI)? TRUE: FALSE;

  buflen = sizeof(struct maclist) + (MAXMULTILIST * ETHER_ADDR_LEN);

  if ((maclist = MALLOC(wl->pub->osh, buflen)) == NULL) {
   return;
  }

  i = 0;
#if LINUX_VERSION_CODE <= KERNEL_VERSION(2, 6, 34)
  for (mclist = dev->mc_list; mclist && (i < dev->mc_count); mclist = mclist->next) {
   if (i >= MAXMULTILIST) {
    allmulti = TRUE;
    i = 0;
    break;
   }
   bcopy(mclist->dmi_addr, &maclist->ea[i++], ETHER_ADDR_LEN);
  }
#else
  num = min_t(int, netdev_mc_count(dev), MAXMULTILIST);
  netdev_for_each_mc_addr(ha, dev) {
   if (i >= num) {
    allmulti = TRUE;
    i = 0;
    break;
   }
   bcopy(ha->addr, &maclist->ea[i++], ETHER_ADDR_LEN);
  }
#endif
  maclist->count = i;

  WL_LOCK(wl);

  wlc_iovar_setint(wl->wlc, "allmulti", allmulti);
  wlc_set(wl->wlc, WLC_SET_PROMISC, (dev->flags & IFF_PROMISC));

  wlc_iovar_op(wl->wlc, "mcast_list", NULL, 0, maclist, buflen, IOV_SET, NULL);

  WL_UNLOCK(wl);
  MFREE(wl->pub->osh, maclist, buflen);
 }

}

Compile and install new driver.
I have linux kernel 3.0.17. The driver is working for me.

Chris Hermansen (c-hermansen) wrote :

Still have this problem on 12.10 Beta 1 and still need to remove bcmwl and install b43 in order to have working wireless.

Chris Hermansen (c-hermansen) wrote :

Just to add to my previous comment, sometimes the wireless "stops working" - ie I do not seem to have internet connectivity - though ifconfig iwconfig etc look ok. Using Fn-wireless to turn the wifi off and on again restores the connectivity.

Bob Merhebi (bobmerhebi) wrote :

I have submitted a kernel bug & assigned it as show.

Changed in linux:
importance: Unknown → Medium
status: Unknown → Confirmed
greplnx (greplnx) wrote :

Could also be a compile-time error due to missig linux-headers (-generic), cf. https://bugs.launchpad.net/ubuntu/+source/bcmwl/+bug/1079201

Chris Hermansen (c-hermansen) wrote :

Still getting the wrong / unworking wireless driver in Raring (13.04) beta 2, still the same fix; replace with b43.

Anything I can do to help diagnose the problem?

tags: added: raring
Denis (denis-dellsale) wrote :

now, i have got working driver.
i downloaded the source of last version, applied the patch (see attachement)
The error "asm\system.h" disappeared.
Then i installed the new driver.

Created new file in /etc/modprobe.d/broadcom.conf
<code>
alias ssb off
blacklist b43
blacklist ssb
blacklist ssb_hcd
options wl name=wlan0
</code>

Then add new string in file /etc/initramfs/modules
<code>
echo wl >> /etc/initramfs/modules
</code>

And update init ramfs
<code>
update-initramfs
</code>

Reboot.

The attachment "switch_to.patch" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch
Changed in bcmwl (Ubuntu):
status: Confirmed → Fix Released
Daniel van Vugt (vanvugt) wrote :

Fix Released where?

Changed in bcmwl (Ubuntu):
status: Fix Released → Confirmed
Chris Hermansen (c-hermansen) wrote :

Still not working. When I boot the iso, here is what I see in /var/log/syslog:

Apr 19 23:01:41 ubuntu kernel: [ 132.853624] b43-phy0 ERROR: Firmware file "b43/ucode5.fw" not found
Apr 19 23:01:41 ubuntu kernel: [ 132.853630] b43-phy0 ERROR: Firmware file "b43-open/ucode5.fw" not found
Apr 19 23:01:41 ubuntu kernel: [ 132.853633] b43-phy0 ERROR: You must go to http://wireless.kernel.org/en/users/Drivers/b43#devicefirmware and download the correct firmware for this driver version. Please carefully read all instructions on this website.

I am about to see if the b43-fwcutter still fixes me up. More soon.

Chris Hermansen (c-hermansen) wrote :

... more...

actually something is badly broken now. neither wireless nor wired connections work on the installed system.

in /var/log/syslog on the installed system, I see

wl driver 6.20.155.1 (r326264) failed with code 21
kernel bug at f8c159ca
invalid op code 0000 #1 SMP

(sorry I have to type this in; I can copy files over on a memory stick if that helps, but otherwise with no networking...)

later in the boot sequence I see

/sys/devices/virtual/net/lo couldn't determine device driver; ignoring...

Chris Hermansen (c-hermansen) wrote :

With today's iso I no longer had the wireless crash and my wired connection seems to continue working. Therefore I was able to install the legacy drivers and now the laptop is running again in wireless mode.

Is this bug still present in any supported Ubuntu release?

https://wiki.ubuntu.com/Releases

Changed in bcmwl (Ubuntu):
status: Confirmed → Incomplete
Chris Hermansen (c-hermansen) wrote :

Alberto, my last install of 13,04 on my testing laptop still required
the legacy drivers.

If you would like, I could do a fresh install, do all the upgrades
(via wired) and then see if the wireless driver works.

Let me know.

On Fri, Jun 7, 2013 at 8:26 AM, Alberto Salvia Novella
<email address hidden> wrote:
> Is this bug still present in any supported Ubuntu release?
>
> https://wiki.ubuntu.com/Releases
>
> ** Changed in: bcmwl (Ubuntu)
> Status: Confirmed => Incomplete
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/732677
>
> Title:
> bcmwl 5.100.82.38+bdcom-0ubuntu2 not work on BCM4311/4312
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/broadcom-sta/+bug/732677/+subscriptions

--
Chris Hermansen · clhermansen "at" gmail "dot" com

C'est ma façon de parler.

Adam Porter (alphapapa) wrote :

This bug started out on Natty. The problem with Raring now is probably bug 1097519. This bug should probably be closed, and probably the one on the kernel bugzilla, too.

Adam Porter (alphapapa) wrote :

Problem seems to be that Ubuntu installs the wrong package.

Changed in broadcom-sta:
status: New → Invalid
Adam Porter (alphapapa) on 2013-06-09
affects: bcmwl (CentOS) → centos
Changed in centos:
status: New → Invalid
affects: bcmwl (Arch Linux) → archlinux
Changed in archlinux:
status: New → Invalid
Chris Hermansen (c-hermansen) wrote :

Adam Porter, this bug did indeed first appear in Natty and up to the last time I installed 13.04 on my Dell Inspiron 1501 with 4311 hardware, was the same problem. The STA drivers selected for the install don't work with the 4311 ie there is no working wireless adapter visible in the system. The same fix has also worked since then, which is uninstalling the STA driver and installing the b43 driver.

I cannot personally vouch for the original workaround proposed which was downgrading the STA version.

I have looked at the comments for the bug you mention, namely 1097519 and there seems to be a lively dispute the "correct" solution for this problem. Also the people involved in that discussion seem to be working with 4313 devices.

Therefore I respectfully suggest that moving this bug to Invalid status is premature or perhaps incorrect.

Adam Porter (alphapapa) wrote :

Chris, I'm not sure I understand what you mean. I only marked it invalid in that one context. If the b43 driver works, then Ubuntu should select that driver. That would make this a dupe of bug 1097519, which states that the wrong driver is used for some chipsets. In one of the comments I made on that bug yesterday, I mentioned that some users have found success using broadcom-sta*, and some by using b43, and others by using brcmsmac.

As I understand it now there are possibly two issues:

1. Ubuntu selecting the wrong driver upon install, as you mentioned. That's covered by bug 1097519.
2. A certain driver (e.g. broadcom-sta) not working with a chipset it claims to support. That would be a separate issue.

So what I'm going to do now is:

1. In the Ubuntu project, mark this as a dupe of bug 1097519, because the working driver needs to be selected by Ubuntu.
2. In the Broadcom 802.11 Linux STA driver project, mark this as incomplete. If I understand you to mean that the broadcom-sta driver doesn't work with some chipsets it claims to, then I guess you should mark this bug as New there.

Please correct me if I'm wrong. :)

Changed in broadcom-sta:
status: Invalid → Incomplete
Adam Porter (alphapapa) wrote :

Well, silly me, I can't mark it as a duplicate in only one project. So I'll mark it as Invalid in the Ubuntu project and these comments can point people to bug 1097519.

Changed in bcmwl (Ubuntu):
status: Incomplete → Invalid
Chris Hermansen (c-hermansen) wrote :

Adam, though I did not explain myself clearly, you saw through my confusion and hit upon my exact concern. You said:

2. A certain driver (e.g. broadcom-sta) not working with a chipset it claims to support. That would be a separate issue.

And I respectfully suggest you are correct in that assessment; and that separate issue is the subject of this particular bug report.

Therefore, should this bug be marked invalid?

Adam Porter (alphapapa) wrote :
Download full text (3.3 KiB)

Chris, ok, I'm glad we're on the same page now.

My question now is whether this bug is obsolete. This bug was filed about version 5.100.82.38 of the driver. That's no longer the current version of the driver.

In Saucy we have:
bcmwl = 6.30.223.30+bdcom-0ubuntu1
broadcom-sta = 5.100.82.112-11

In Raring we have:
bcmwl = 6.20.155.1+bdcom-0ubuntu6
broadcom-sta = 5.100.82.112-9

And in Precise we have:
bcmwl = 6.20.155.1+bdcom-0ubuntu0.0.1
broadcom-sta = 5.100.82.112-4

And then there's the in-tree driver, which for at least some cards makes those packages obsolete, at least on some kernel versions.

It seems to me that it still boils down to Ubuntu needing to install the proper driver. For example, if broadcom-sta_ 5.100.82.112-9 said it supported BCM4313, but BCM4313 worked with the in-tree driver, broadcom-sta shouldn't even be installed, regardless of whether BCM4313 worked with broadcom-sta. Or if a 5.100.82.38 of some package didn't work, but the newer version did, that should be fixed by the newer version.

Now if there are some versions of some driver packages that don't properly work with some cards, that could result in two problems:

1. Users upgrading distro versions with a package could end up with a version of the package that doesn't work anymore (that happened to me). That's still a matter of Ubuntu choosing the correct package.

2. Users trying to manually choose a package, searching package descriptions, and choosing a package that happens to not work with their card. That's unfortunate and frustrating. But the only way to solve this is to comprehensively test all these different versions of all these different packages with all the different cards they claim to support, some of which might have subtle bugs with certain cards, and some of which seem to have regressions in newer versions.

So if you want this bug to be #2...well, ok, I guess I can't argue with that. But I'm not sure it's practical to really solve it. I think the best we can realistically hope for is to get Ubuntu automatically choosing the right package on first install and hopefully on distro upgrade. And probably the only way we can do that is to act on specific reports of specific cards failing with specific versions of specific driver packages.

Maybe the best thing for now would be to make a note in all driver packages that there are multiple driver packages that support the same cards, and if one package doesn't work, the user should try the others (including the in-tree one, which requires uninstalling the driver packages). I think that there are just too many combinations to be proactively comprehensive. With all the versions and packages and claimed-supported cards, there ends up being something like 432 combinations.

I think all of this came about because Broadcom broke support for older cards when they released the 6.20.x drivers. Maybe it was an accident, or maybe they forgot to note that older cards were no longer supported by newer releases. Whatever happened, it sure has made a mess!

Anyway, I feel like I may be more confused now than I was before. I'm going to mark this bug as Incomplete in the Ubuntu project and let y...

Read more...

Changed in bcmwl (Ubuntu):
status: Invalid → Incomplete
Chris Hermansen (c-hermansen) wrote :

Ah! I get your point about the bug title.

What if we think about this from the perspective of the desired outcome - which should be, I guess, a fresh install that just works.

There is no point in continuing to have Ubuntu install STA drivers that don't work wiith 4311 hardware, which is what has happened since natty.

If the right solution is to fix the STA driver (or its configuration or whatever) so that it does work with the 4311, then I say "let's fix it".

If the right solution is to toss the STA driver, or mark it as unsuitable for the 4311, and convince Ubuntu to install b43 (or whatever) then I say "let's install b43 instead".

I don't really know all the ins and outs of the various drivers, so I don't know which is the right solution. I just know that the STA driver in all its incarnations since natty has failed to work with the 4311 as configured and that I fix it by installing b43 instead while I wait for an Ubuntu release that does not have this problem.

If you would like me to test various configurations, my poor old Inspiron is dedicated to that kind of thing so please ask.

Changed in bcmwl (Ubuntu):
status: Incomplete → Confirmed

What is the state here?

This issue still exists with a fresh install of 12.04.3 and 13.10. The default used driver is bcmwl but bcm4311 does not work with it.

Chris Hermansen (c-hermansen) wrote :

Hi Christian;

For me the b43 installer in the repos does the trick. One must also
manually turn on the wifi with the Fn-key switch.

As pointes out above the version numbers in the title may not be current;
there are also many related bugs (although I disagree which are
duplicates); and the "real problem" appears to be that whatever code
decides which driver to use is jncorrect.

Also, for awhile at least the non-working driver was causing the whole
networking stack to crash though I think that is not the case in 13.10.

For clarity I have an inspiron 1501 with the b43 driver running fine on the
4311 device.

Chris Hermansen
On 2013-10-30 9:26 PM, "Christian S." <email address hidden> wrote:

> What is the state here?
>
> This issue still exists with a fresh install of 12.04.3 and 13.10. The
> default used driver is bcmwl but bcm4311 does not work with it.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/732677
>
> Title:
> bcmwl 5.100.82.38+bdcom-0ubuntu2 not work on BCM4311/4312
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/broadcom-sta/+bug/732677/+subscriptions
>

Since this bug is:

- Valid.
- Well described.
- Reported in the upstream bug tracker (Linux).
- Ready to be worked on by a developer.

it's also triaged.

Changed in bcmwl (Ubuntu):
status: Confirmed → Triaged

LinkedIn
------------

Bug,

I'd like to add you to my professional network on LinkedIn.

- Lee

Lee Aimesbury
Net Tech at Preformance Computer
Albuquerque, New Mexico Area

Confirm that you know Lee Aimesbury:
https://www.linkedin.com/e/628vcw-hnv9bf2o-1b/isd/17946696265/uAReRIjE/?hs=false&tok=3DxucFJWmW0m01

--
You are receiving Invitation to Connect emails. Click to unsubscribe:
http://www.linkedin.com/e/628vcw-hnv9bf2o-1b/qdEoX9gncWCTQdnwslgFwI9nF0Xa_laXFhKFzIG/goo/732677%40bugs%2Elaunchpad%2Enet/20061/I5907700463_1/?hs=false&tok=3FqHUqPfSW0m01

(c) 2012 LinkedIn Corporation. 2029 Stierlin Ct, Mountain View, CA 94043, USA.

Displaying first 40 and last 40 comments. View all 121 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.